Subject: Re: non-US-ASCII file names (e.g. Hiragana) on Windows

From: Maximilien Noal <[email-masked]>
Date: Sun, 29 Nov 2009 00:07:47 +0100

Thomas Singer a écrit :
> I've created a file with unicode characters in its name (using Java):
> 
>  new File(dir, "\u3041\u3042\u3043\u3044").createNewFile();
> 
> The file name is stored correctly on disk, because if invoking a
> 
>  dir.list()
> 
> the name is listed correctly.
> 
> When opening this directory in the Windows Explorer (German Windows XP SP3),
> it shows 4 boxes - which most likely is a problem of the font not supporting
> these characters.
> 
> When launching 'git status' from the git shell (msys 1.6.5.1.1367.gcd48 from
> 7zip-bundle) it only shows me 4 question marks. I would have expected to see
> the non-displayable characters escaped like it did with the umlauts on OS X.
> 
> Even adding fails:
> 
> $ git add .
> fatal: unable to stat '????': No such file or directory
> 
> What should I do to make Git recognize these characters?
> 
Hi

About the 'boxes' :

The thing is, Windows' files for Asian languages are _not_ installed by 
default.

They can be installed (even while installing Windows), by checking the 
two checkboxes under the "Supplemtal languages support" groupbox in the 
"Languages" tab of the "Regional and language options" control panel. 
*re-take some breath ;-) *

It will remove the "boxes" in Explorer and display nice Asian characters.

But that will only fix Windows' files' names display, surely not git 
(unless I'm mistaken).